Skip to main content
GET
/
api
/
chats
/
shares
/
{token}
Get shared chat
curl --request GET \
  --url https://api.morphic.io/api/chats/shares/{token} \
  --header 'X-API-Key: <api-key>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "title": "<string>",
  "is_pinned": false,
  "is_archived": false,
  "folder_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "settings": {},
  "metadata": {},
  "messages": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "role": "<string>",
      "content": "<string>",
      "chat_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "attachments": {},
      "metadata": {}
    }
  ]
}

Authorizations

X-API-Key
string
header
required

API key (sk_xxx) from Developer Settings. No X-Account-ID needed.

Headers

x-account-id
string | null

Path Parameters

token
string
required

Response

Successful Response

id
string<uuid>
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
account_id
string<uuid> | null
required
created_by
string<uuid>
required
title
string | null

Chat title (auto-generated if not provided)

Maximum string length: 500
is_pinned
boolean
default:false
is_archived
boolean
default:false
folder_id
string<uuid> | null
settings
Settings · object
metadata
Metadata · object
messages
Message · object[]